scim::Exception Class Reference
Accessories

A base class of all other exception classes. More...

`#include <scim_exception.h>`

## Public Member Functions

| Exception (const String &what_arg)
| ~Exception () throw ()
virtual const char * | what () const throw ()

## Detailed Description

A base class of all other exception classes.

All other exception classes in namespace scim should be derived from this class.

## Constructor & Destructor Documentation

## Exception()

scim::Exception::Exception | ( | const String & | what_arg | ) |

inline

Referenced by scim::BackEndError::BackEndError(), scim::ConfigError::ConfigError(), scim::FilterError::FilterError(), scim::FrontEndError::FrontEndError(), scim::HelperError::HelperError(), scim::IMEngineError::IMEngineError(), scim::ModuleError::ModuleError(), scim::PanelError::PanelError(), scim::SocketError::SocketError(), and scim::TransactionError::TransactionError().

## ~Exception()

scim::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |

inline

## Member Function Documentation

## what()

virtual const char * scim::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

The documentation for this class was generated from the following file:

- scim_exception.h